package com.swago.room.pk

import com.swago.baseswago.model.live.pk.ProcessPKModel
import com.swago.baseswago.model.live.pk.PunishPKModel
import com.swago.baseswago.model.live.pk.StartPKModel
import com.swago.baseswago.model.live.pk.StopPKModel

interface IPKListener {

    //开始PK
    fun startPK(startPKModel: StartPKModel,isGetDataFromIM:Boolean)

    //结束PK
    fun stopPK(stopPKModel: StopPKModel)

    //PK结算
    fun punishPK(punishPKModel: PunishPKModel,isGetDataFromIM:Boolean)

    //PK进度条变更
    fun processChangePK(processPKModel: ProcessPKModel,isGetDataFromIM:Boolean)
}